Subject: Re: bug#42242: 27.0.91; emacs.service now requires emacs to be built with -lsystemd

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Aug 2020 18:58:08 +0200

Bhavin Gandhi <[email-masked]> writes:

> I'm not sure what is the best solution for this. But I would like to
> propose the following patch which adds a line about '-lsystemd' in
> etc/NEWS. I think this will serve as a warning till we come up with a
> solution (if that is required).
>
> Patch is for, 'emacs-27' branch.

[...]

> Required when using Type=notify in emacs.service (bug#42242).

Thanks; I've installed a variation on your patch in the Emacs 27 branch,
so it'll be included in Emacs 27.2.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no